<?php

/**
 * Header
 */

bring_back_Kirki::add_panel('header_panel', array(
    'priority' => 15,
    'title' => esc_html__('Header', 'bring-back'),
    'description' => esc_html__('Header General Settings', 'bring-back'),
));

/**
 * General Settings
 */

bring_back_Kirki::add_section('header_section', array(
    'title' => esc_html__('General Settings', 'bring-back'),
    'panel' => 'header_panel',
    'priority' => 10,
));

// Enable Hero Shape
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'toggle',
    'settings' => 'enable_header_bg_img',
    'label' => __( 'Enable Shape Image?', 'bring-back' ),
    'section' => 'header_section',
    'default' => '0'
));

// Banner
bring_back_Kirki::add_field( 'bring_back', array(
    'type'        => 'image',
    'settings'    => 'header_bg_img',
    'label'       => esc_html__( 'Upload Shape Image', 'bring-back' ),
    'description' => esc_html__( 'This shape/image append Top and Right edge', 'bring-back' ),
    'section'     => 'header_section',
    'default'     => '',
    'output' => array(
        array(
            'element' => '.home .header',
            'property' => 'background-image'
        ),
    ),
));

// Header Design Option

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'color',
    'settings' => 'header_background_color',
    'label' => __('Header Background Color', 'bring-back'),
    'section' => 'header_section',
    'default' => '#fef8f1',
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.site-header,.home .site-header',
            'property' => 'background-color',
        ),
    ),
));

// Padding Top/Bottom
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'header_padding_top',
    'label' => esc_html__('Padding Top/Bottom of Header', 'bring-back'),
    'section' => 'header_section',
    'default' => 30,
    'transport' => 'auto',
    'choices' => array(
        'min' => 0,
        'max' => 60,
        'step' => 1,
    ),
    'output' => array(
        array(
            'element' => '.header-wrapper',
            'property' => 'padding-top',
            'units' => 'px',
        ),
        array(
            'element' => '.header-wrapper',
            'property' => 'padding-bottom',
            'units' => 'px',
        )
    )
));

// Sticky Header
//
//bring_back_Kirki::add_field('bring_back', array(
//    'type' => 'toggle',
//    'settings' => 'enable_sticky',
//    'label' => __( 'Enable Sticky Header?', 'bring-back' ),
//    'description' => __ ( 'Sticky Header only for desktop', 'bring-back' ),
//    'section' => 'header_section',
//    'default' => false,
//    'priority' => 10
//));

// Hide search

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'toggle',
    'settings' => 'enable_search',
    'label' => __( 'Enable Search?', 'bring-back' ),
    'description' => __ ( 'This display in Menu', 'bring-back' ),
    'section' => 'header_section',
    'default' => '0',
    'priority' => 10
));

// Divider
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'custom',
    'settings' => 'custom_nav_divider',
    'section' => 'header_section',
    'default' => '<hr/><hr/><hr/>',
    'priority' => 10,
));

// Button TXT/URL

bring_back_Kirki::add_field( 'bring_back', array(
    'type'     => 'text',
    'settings' => 'custom_nav_title',
    'label'    => esc_html__( 'Button Text ( Append Last child of menu item )', 'bring-back' ),
    'description' => __ ( 'This display in Menu', 'bring-back' ),
    'section'  => 'header_section',
    'priority' => 10,
) );

bring_back_Kirki::add_field( 'bring_back', array(
    'type'     => 'link',
    'settings' => 'custom_nav_link',
    'label'    => __( 'Button URL', 'bring-back' ),
    'section'  => 'header_section',
    'priority' => 10
));

/**
 * Logo Favicon
 */

bring_back_Kirki::add_section('header_contents', array(
    'title' => esc_html__('Logo & Favicon', 'bring-back'),
    'panel' => 'header_panel',
    'priority' => 20,
));

bring_back_Kirki::add_section('title_tagline', array(
    'title' => esc_html__('Logo & Favicon', 'bring-back'),
    'panel' => 'header_panel',
    'priority' => 30,
));

/**
 * Menu Design
 */

bring_back_Kirki::add_section('menu_design', array(
    'title' => esc_html__('Menu Design', 'bring-back'),
    'panel' => 'header_panel',
    'priority' => 40,
));

// Menu Item Font Size

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'typography',
    'settings' => 'menu_color_variant',
    'label' => esc_html__('Menu Typography', 'bring-back'),
    'section' => 'menu_design',
    'default' => array(
        'font-family' => 'Nunito',
        'variant' => '700',
        'font-size' => '17px',
        'line-height' => 'inherit',
        'letter-spacing' => '0',
        'color' => '#68605b',
        'text-transform' => 'capitalize'
    ),
    'priority' => 10,
    'transport' => 'auto',
    'output' => array(
        array(
            'element' => '.main-menu li a',
        ),
    ),
));

// Padding Top/Bottom

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'menu_padding_top_bottom',
    'label' => esc_html__('Padding Top/Bottom', 'bring-back'),
    'section' => 'menu_design',
    'default' => 10,
    'transport' => 'auto',
    'choices' => array(
        'min' => 0,
        'max' => 30,
        'step' => 1,
    ),
    'output' => array(
        array(
            'element' => '.main-menu li a',
            'property' => 'padding-left',
            'units' => 'px',
        ),
        array(
            'element' => '.main-menu li a',
            'property' => 'padding-right',
            'units' => 'px',
        )
    )
));

// Padding Left/Right

bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'menu_padding_left',
    'label' => esc_html__('Padding Left/Right', 'bring-back'),
    'section' => 'menu_design',
    'default' => 25,
    'transport' => 'auto',
    'choices' => array(
        'min' => 0,
        'max' => 50,
        'step' => 1,
    ),
    'output' => array(
        array(
            'element' => '.main-menu li a',
            'property' => 'padding-left',
            'units' => 'px',
        ),
        array(
            'element' => '.main-menu li a',
            'property' => 'padding-right',
            'units' => 'px',
        )
    )
));

/**
 * Header Image
 */

// Image
bring_back_Kirki::add_section('header_image', array(
    'title' => esc_html__('Header Banner', 'bring-back'),
    'panel' => 'header_panel',
    'priority' => 50,

));

// Show
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'toggle',
    'settings' => 'header_ads_show',
    'label' => esc_html__('Enable Banner?', 'bring-back'),
    'section' => 'header_image',
    'default' => '0',
    'priority' => 5,
));

// Link
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'text',
    'settings' => 'ads_url',
    'label' => esc_html__('URL', 'bring-back'),
    'section' => 'header_image',
    'priority' => 10,
));


/**
 * Hero banner
 */
bring_back_Kirki::add_section('hero_section', array(
    'title' => esc_html__('Hero Area', 'bring-back'),
    'panel' => 'header_panel',
    'priority' => 55,
));

// Enable Hero Area
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'toggle',
    'settings' => 'enable_hero_area',
    'label' => __( 'Enable Hero Area?', 'bring-back' ),
    'section' => 'hero_section',
    'default' => '0',
    'priority' => 5,
));

// Section Padding
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'slider',
    'settings' => 'hero_padding_top',
    'label' => esc_html__('Padding Top/Bottom of Header', 'bring-back'),
    'section' => 'hero_section',
    'default' => 193,
    'transport' => 'auto',
    'priority' => 5,
    'choices' => array(
        'min' => 30,
        'max' => 200,
        'step' => 1,
    ),
    'output' => array(
        array(
            'element' => '.hero-area',
            'property' => 'padding-top',
            'units' => 'px',
        ),
        array(
            'element' => '.hero-area',
            'property' => 'padding-bottom',
            'units' => 'px',
        )
    )
));

// Divider
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'custom',
    'settings' => 'hero_divider_enable',
    'section' => 'hero_section',
    'default' => '<hr/><hr/><hr/>',
    'priority' => 5,
));
// Enable Hero Banner Animation
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'toggle',
    'settings' => 'enable_hero_banner_animation',
    'label' => __( 'Enable Banner Animation?', 'bring-back' ),
    'section' => 'hero_section',
    'default' => '0',
    'priority' => 5,
));
// Banner
bring_back_Kirki::add_field( 'bring_back', array(
    'type'        => 'image',
    'settings'    => 'hero_banner',
    'label'       => esc_html__( 'Upload Background Image', 'bring-back' ),
    'section'     => 'hero_section',
    'default'     => '',
    'priority' => 5,
));

// Divider
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'custom',
    'settings' => 'hero_divider',
    'section' => 'hero_section',
    'default' => '<hr/><hr/><hr/>',
    'priority' => 5,
));
// Enable Hero Shape Animation
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'toggle',
    'settings' => 'enable_hero_shape_animation',
    'label' => __( 'Enable Shape Animation?', 'bring-back' ),
    'section' => 'hero_section',
    'default' => '0',
    'priority' => 5,
));
// Shape
bring_back_Kirki::add_field( 'bring_back', array(
    'type'        => 'image',
    'settings'    => 'hero_shape',
    'label'       => esc_html__( 'Upload Shape Image', 'bring-back' ),
    'description' => esc_html__( 'This shape/image append behind the title and play animation', 'bring-back' ),
    'section'     => 'hero_section',
    'default'     => '',
    'priority' => 5,
    'output' => array(
        array(
            'element' => '.hero-content:before',
            'property' => 'background-image'
        ),
    ),
));

// Title
bring_back_Kirki::add_field( 'bring_back', array(
    'type'     => 'text',
    'settings' => 'hero_title',
    'label'    => esc_html__( 'Title', 'bring-back' ),
    'section'  => 'hero_section',
    'default'     => '',
    'priority' => 5,
));

// Content
bring_back_Kirki::add_field( 'bring_back', array(
    'type'     => 'textarea',
    'settings' => 'hero_content',
    'label'    => esc_html__( 'Content', 'bring-back' ),
    'section'  => 'hero_section',
    'default'     => '',
    'priority' => 10,
));


// Divider
bring_back_Kirki::add_field('bring_back', array(
    'type' => 'custom',
    'settings' => 'hero_divider',
    'section' => 'hero_section',
    'default' => '<hr/><hr/><hr/>',
    'priority' => 25,
));

// Button TXT/URL
bring_back_Kirki::add_field( 'bring_back', array(
    'type'     => 'text',
    'settings' => 'hero_btn_text',
    'label'    => esc_html__( 'Button Text', 'bring-back' ),
    'section'  => 'hero_section',
    'default'     => '',
    'priority' => 15,
) );

bring_back_Kirki::add_field( 'bring_back', array(
    'type'     => 'link',
    'settings' => 'hero_btn_url',
    'label'    => __( 'Button URL', 'bring-back' ),
    'section'  => 'hero_section',
    'default'     => '',
    'priority' => 20
));

